## osmo-diameter2gsup 0.2.0.72.ea29.202502192026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202502192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 19 Feb 2025 20:26:03 +0000

=== debian/control ===
Source: osmo-diameter2gsup
Maintainer: Osmocom team <openbsc@lists.osmocom.org>
Section: net
Priority: optional
Build-Depends: erlang-nox,
	libpcap-dev,
	rebar3,
	debhelper (>= 10)
Standards-Version: 4.5.0

Package: osmo-diameter2gsup
Architecture: any
Depends: osmocom-nightly (= 202502192026), erlang-nox
Multi-Arch: allowed
Description: Osmocom DIAMETER to GSUP translator
 This can be used to translate DIAMETER requests (such as those by an EPC)
 to the Osmocom specific GSUP protocol, which means you can use OsmoHLR
 as a simplistic HSS.

## osmo-diameter2gsup 0.2.0.72.ea29.202502202026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202502202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 20 Feb 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202502192026), erlang-nox
+Depends: osmocom-nightly (= 202502202026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202502212026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202502212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 21 Feb 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202502202026), erlang-nox
+Depends: osmocom-nightly (= 202502212026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202502222026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202502222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 22 Feb 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202502212026), erlang-nox
+Depends: osmocom-nightly (= 202502222026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202502232026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202502232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 23 Feb 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202502222026), erlang-nox
+Depends: osmocom-nightly (= 202502232026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202502242026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202502242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 24 Feb 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202502232026), erlang-nox
+Depends: osmocom-nightly (= 202502242026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202502252026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202502252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 25 Feb 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202502242026), erlang-nox
+Depends: osmocom-nightly (= 202502252026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202502262026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202502262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 26 Feb 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202502252026), erlang-nox
+Depends: osmocom-nightly (= 202502262026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202502272026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202502272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 27 Feb 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202502262026), erlang-nox
+Depends: osmocom-nightly (= 202502272026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202502282026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202502282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 28 Feb 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202502272026), erlang-nox
+Depends: osmocom-nightly (= 202502282026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503012026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 01 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202502282026), erlang-nox
+Depends: osmocom-nightly (= 202503012026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503022026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 02 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503012026), erlang-nox
+Depends: osmocom-nightly (= 202503022026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503032026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503032026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 03 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503022026), erlang-nox
+Depends: osmocom-nightly (= 202503032026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503042026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503042026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 04 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503032026), erlang-nox
+Depends: osmocom-nightly (= 202503042026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503052026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 05 Mar 2025 20:26:06 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503042026), erlang-nox
+Depends: osmocom-nightly (= 202503052026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503062026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 06 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503052026), erlang-nox
+Depends: osmocom-nightly (= 202503062026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503072026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 07 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503062026), erlang-nox
+Depends: osmocom-nightly (= 202503072026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503082026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 08 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503072026), erlang-nox
+Depends: osmocom-nightly (= 202503082026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503092026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 09 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503082026), erlang-nox
+Depends: osmocom-nightly (= 202503092026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503102026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 10 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503092026), erlang-nox
+Depends: osmocom-nightly (= 202503102026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503112026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 11 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503102026), erlang-nox
+Depends: osmocom-nightly (= 202503112026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503122026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503122026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 12 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503112026), erlang-nox
+Depends: osmocom-nightly (= 202503122026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503132026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503132026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 13 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503122026), erlang-nox
+Depends: osmocom-nightly (= 202503132026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503142026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 14 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503132026), erlang-nox
+Depends: osmocom-nightly (= 202503142026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503152026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 15 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503142026), erlang-nox
+Depends: osmocom-nightly (= 202503152026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503162026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503162026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 16 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503152026), erlang-nox
+Depends: osmocom-nightly (= 202503162026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503172026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 17 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503162026), erlang-nox
+Depends: osmocom-nightly (= 202503172026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503182026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 18 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503172026), erlang-nox
+Depends: osmocom-nightly (= 202503182026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503192026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 19 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503182026), erlang-nox
+Depends: osmocom-nightly (= 202503192026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503202026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 20 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503192026), erlang-nox
+Depends: osmocom-nightly (= 202503202026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503212026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 21 Mar 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503202026), erlang-nox
+Depends: osmocom-nightly (= 202503212026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503222026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 22 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503212026), erlang-nox
+Depends: osmocom-nightly (= 202503222026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503232026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 23 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503222026), erlang-nox
+Depends: osmocom-nightly (= 202503232026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503242026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 24 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503232026), erlang-nox
+Depends: osmocom-nightly (= 202503242026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.2.0.72.ea29.202503252026

=== debian/changelog ===
osmo-diameter2gsup (0.2.0.72.ea29.202503252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 25 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503242026), erlang-nox
+Depends: osmocom-nightly (= 202503252026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.0

=== debian/changelog ===
osmo-diameter2gsup (0.3.0) unstable; urgency=medium

  [ Alexander Couzens ]
  * gsup: implement a (re-)connect the GSUP link if it fails
  * rebar3: define a release
  * osmo_dia2gsup: set Origin-State-Id
  * osmo_dia2gsup: add config option diameter_connect_timer

  [ Oliver Smith ]
  * contrib/systemd: run as osmocom user
  * debian/postinst: chmod +x
  * debian/postinst: don't change /etc/osmocom
  * debian/postinst: add checks, be verbose

  [ Harald Welte ]
  * add COPYING file with AGPLv3 and missing license headers to source files
  * COPYING and copyright headers: use https instead of http
  * replace http:// urls with https:// (diameter files)

  [ Oliver Smith ]
  * Makefile: new file

  [ Vadim Yanitskiy ]
  * Makefile: add 'install' target, clean up debian/rules
  * Makefile: install 'sys.config' to /etc/osmocom/osmo-dia2gsup.config
  * osmo_dia2gsup.service: use /etc/osmocom/osmo-dia2gsup.config
  * examples/sys.config: add default lager formatting config
  * examples/sys.config: add pid, delete time
  * examples: add dev.config, let 'make run' use it by default
  * examples/{sys,dev}.config: enable colored logging
  * diameter: fix wrong 'Vendor-Id' value (should be 3GPP)
  * diameter: fix unused macro param in ?SERVICE
  * diameter: drop unused ?DIA_STATS_* macros
  * fixup: diameter: fix unused macro param in ?SERVICE
  * diameter: assert that diameter:start_service/2 returns ok

 -- Oliver Smith <osmith@sysmocom.de>  Wed, 26 Mar 2025 10:24:06 +0100

## osmo-diameter2gsup 0.3.1

=== debian/changelog ===
osmo-diameter2gsup (0.3.1) unstable; urgency=medium

  * examples/*.config: change diameter_ip to 127.0.0.8

 -- Oliver Smith <osmith@sysmocom.de>  Thu, 27 Mar 2025 10:00:00 +0100

## osmo-diameter2gsup 0.3.1.75.9e67.202503272026

=== debian/changelog ===
osmo-diameter2gsup (0.3.1.75.9e67.202503272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 27 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503252026), erlang-nox
+Depends: osmocom-nightly (= 202503272026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.1.75.9e67.202503282026

=== debian/changelog ===
osmo-diameter2gsup (0.3.1.75.9e67.202503282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 28 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503272026), erlang-nox
+Depends: osmocom-nightly (= 202503282026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.1.75.9e67.202503292026

=== debian/changelog ===
osmo-diameter2gsup (0.3.1.75.9e67.202503292026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 29 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503282026), erlang-nox
+Depends: osmocom-nightly (= 202503292026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.1.75.9e67.202503302026

=== debian/changelog ===
osmo-diameter2gsup (0.3.1.75.9e67.202503302026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 30 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503292026), erlang-nox
+Depends: osmocom-nightly (= 202503302026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.1.75.9e67.202503312026

=== debian/changelog ===
osmo-diameter2gsup (0.3.1.75.9e67.202503312026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 31 Mar 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503302026), erlang-nox
+Depends: osmocom-nightly (= 202503312026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.1.76.a2a4.202504012026

=== debian/changelog ===
osmo-diameter2gsup (0.3.1.76.a2a4.202504012026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 01 Apr 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202503312026), erlang-nox
+Depends: osmocom-nightly (= 202504012026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2

=== debian/changelog ===
osmo-diameter2gsup (0.3.2) unstable; urgency=medium

  [ Vadim Yanitskiy ]
  * gsup_client: disable gen_server event tracing

 -- Oliver Smith <osmith@sysmocom.de>  Tue, 01 Apr 2025 17:21:03 +0200

## osmo-diameter2gsup 0.3.2.77.a879.202504022026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504022026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 02 Apr 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504012026), erlang-nox
+Depends: osmocom-nightly (= 202504022026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504052026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504052026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 05 Apr 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504022026), erlang-nox
+Depends: osmocom-nightly (= 202504052026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504062026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504062026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 06 Apr 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504052026), erlang-nox
+Depends: osmocom-nightly (= 202504062026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504072026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504072026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 07 Apr 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504062026), erlang-nox
+Depends: osmocom-nightly (= 202504072026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504082026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504082026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 08 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504072026), erlang-nox
+Depends: osmocom-nightly (= 202504082026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504092026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504092026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 09 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504082026), erlang-nox
+Depends: osmocom-nightly (= 202504092026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504102026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504102026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 10 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504092026), erlang-nox
+Depends: osmocom-nightly (= 202504102026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504112026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504112026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 11 Apr 2025 20:26:13 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504102026), erlang-nox
+Depends: osmocom-nightly (= 202504112026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504122026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504122026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 12 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504112026), erlang-nox
+Depends: osmocom-nightly (= 202504122026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504132026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504132026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 13 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504122026), erlang-nox
+Depends: osmocom-nightly (= 202504132026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504142026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504142026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 14 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504132026), erlang-nox
+Depends: osmocom-nightly (= 202504142026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504152026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504152026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 15 Apr 2025 20:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504142026), erlang-nox
+Depends: osmocom-nightly (= 202504152026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504162026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504162026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 16 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504152026), erlang-nox
+Depends: osmocom-nightly (= 202504162026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504172026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504172026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 17 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504162026), erlang-nox
+Depends: osmocom-nightly (= 202504172026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504182026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504182026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 18 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504172026), erlang-nox
+Depends: osmocom-nightly (= 202504182026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504192026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504192026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 19 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504182026), erlang-nox
+Depends: osmocom-nightly (= 202504192026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504202026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504202026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 20 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504192026), erlang-nox
+Depends: osmocom-nightly (= 202504202026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504212026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504212026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 21 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504202026), erlang-nox
+Depends: osmocom-nightly (= 202504212026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.77.a879.202504222026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.77.a879.202504222026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 22 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504212026), erlang-nox
+Depends: osmocom-nightly (= 202504222026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.82.b72a.202504232026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.82.b72a.202504232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 23 Apr 2025 20:26:05 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504222026), erlang-nox
+Depends: osmocom-nightly (= 202504232026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.2.82.b72a.202504242026

=== debian/changelog ===
osmo-diameter2gsup (0.3.2.82.b72a.202504242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 24 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504232026), erlang-nox
+Depends: osmocom-nightly (= 202504242026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.3

=== Makefile ===
# config file used by 'run' and 'shell'
CONFIG ?= examples/dev.config
# directory paths for 'install'
BINDIR ?= /usr/bin
CONFDIR ?= /etc/osmocom
SYSTEMDUNITDIR ?= /lib/systemd/system/

all: build

build:
	rebar3 compile
	rebar3 escriptize

run: build
	ERL_FLAGS='-config $(CONFIG)' _build/default/bin/osmo-dia2gsup

shell: build
	rebar3 shell --config $(CONFIG)

check:
	rebar3 eunit

analyze:
	rebar3 dialyzer

install: build
	install -Dm0755 _build/default/bin/osmo-dia2gsup \
		$(DESTDIR)$(BINDIR)/osmo-dia2gsup
	install -Dm0644 examples/sys.config \
		$(DESTDIR)$(CONFDIR)/osmo-dia2gsup.config
	install -Dm0644 contrib/systemd/osmo_dia2gsup.service \
		$(DESTDIR)$(SYSTEMDUNITDIR)/osmo_dia2gsup.service

clean:
# Avoid running rebar3 clean if _build doesn't exist, since it would try
# to fetch deps from the Internet and that may not be avaialble when in
# OBS build.
ifneq ("$(wildcard _build/.*)", "")
	rebar3 clean
	rm -rf _build/
else
	rm -f src/diameter_*.erl
endif

=== epcap/Makefile ===
REBAR ?= rebar3

all: compile

compile:
	@$(REBAR) compile

clean:
	@$(REBAR) clean

test:
	@$(REBAR) ct

examples: eg
eg:
	@erlc +debug_info -I _build/default/lib -o ebin examples/*.erl

.PHONY: test dialyzer clean

dialyzer:
	@$(REBAR) dialyzer

=== parse_trans/Makefile ===
REBAR3=$(shell which rebar3 || echo ./rebar3)

.PHONY: rel all clean

all: compile

compile:
	$(REBAR3) compile

clean:
	$(REBAR3) clean

test:
	$(REBAR3) eunit

doc:
	$(REBAR3) doc

=== debian/changelog ===
osmo-diameter2gsup (0.3.3) unstable; urgency=medium

  * osmo_dia2gsup: add get_env/2 for convenience
  * osmo_dia2gsup: add and use parse_addr/1
  * osmo_dia2gsup: move env parsing and logging to listen/1
  * osmo_dia2gsup: disable Nagle for TCP/SCTP by default
  * osmo_dia2gsup: set sndbuf/recbuf explicitly for SCTP
  * rebar.config: relx: fix wrong sys_config, drop vm_args
  * rebar.config: relx: use semver instead of long git hash

 -- Vadim Yanitskiy <vyanitskiy@sysmocom.de>  Fri, 25 Apr 2025 03:04:10 +0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504242026), erlang-nox
+Depends: osmocom-latest, erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.3.89.6e6b.202504252026

=== debian/changelog ===
osmo-diameter2gsup (0.3.3.89.6e6b.202504252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 25 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-latest, erlang-nox
+Depends: osmocom-nightly (= 202504252026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.3.89.6e6b.202504262026

=== debian/changelog ===
osmo-diameter2gsup (0.3.3.89.6e6b.202504262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 26 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504252026), erlang-nox
+Depends: osmocom-nightly (= 202504262026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)

## osmo-diameter2gsup 0.3.3.89.6e6b.202504272026

=== debian/changelog ===
osmo-diameter2gsup (0.3.3.89.6e6b.202504272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 27 Apr 2025 20:26:03 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: osmo-diameter2gsup
 Architecture: any
-Depends: osmocom-nightly (= 202504262026), erlang-nox
+Depends: osmocom-nightly (= 202504272026), erlang-nox
 Multi-Arch: allowed
 Description: Osmocom DIAMETER to GSUP translator
  This can be used to translate DIAMETER requests (such as those by an EPC)
